Array Setup and Networking
cancel
Showing results for 
Search instead for 
Did you mean: 

Can NCM be installed on ESXi 5.5 Standard edition?

SOLVED
Go to solution
fooser_ken64
Occasional Visitor

Can NCM be installed on ESXi 5.5 Standard edition?

Can NCM be installed on ESXi 5.5 Standard edition?

4 REPLIES
dwilliams80
Occasional Visitor

Re: Can NCM be installed on ESXi 5.5 Standard edition?

Hey Ken, yes NCM can be installed on 5.5. I would also download the VMware BPG in the mean time.

Kevin Rainbolt
Occasional Advisor
Solution

Re: Can NCM be installed on ESXi 5.5 Standard edition?

I think the question is, "Can NCM be installed on ESXi 5.5 Standard Edition" vs Enterprise Edition.

Good question.  I think the consensus is still: Yes it can, but it is not officially supported, nor licensed.

See this link:  Re: Vendor pathing policies on vSphere Essentials Plus/Standard?

Specifically:


Speaking with VMware engineers the consensus is that Enterprise or Enterprise Plus licensing is required for this functionality, but vSphere doesn't enforce that restriction should it find a lower license key - this is up to 5.5 u1 where we are today.


However, I haven't seen an update from Engineering or anyone else regarding the following statement by Nick Dyer:


Our vSphere installation MPIO vib actually installs two services - NCM (Connection Manager) and NCS (Connection Services); whilst it may appear to be working on the front end it's unknown whether the Connection Service daemon is running as expected; so in an example of an multi-array scaleout cluster having NCS not working as we expect could be detrimental. This is where Engineering (including Wen Yu and a few others) are trying to figure this out right now.


We are still running ESXi 5.5 Standard Edition without NCM due to the statement above.  We are not running a multi-array scaleout cluster, but the statement doesn't specify if it might still be "detrimental" to use NCS with a single array.

fooser_ken64
Occasional Visitor

Re: Can NCM be installed on ESXi 5.5 Standard edition?

Hi Kevin,

Thank you for your very detailed response.  It is very much appreciated.

Ken

ndyer39
Honored Contributor

Re: Can NCM be installed on ESXi 5.5 Standard edition?

Hello Kevin,

You're right in your consensus; all Nimble services (including NCS & NCM) are fully installed and functioning regardless of the version of license found on the ESXi server itself (tested up to vSphere 5.5 u1). HOWEVER we do recommend that for VMware support purposes you only run these services if you have Enterprise or Enterprise Plus licensing.